Gargoyle 2019.1

13 views
Skip to first unread message

Chris Spiegel

unread,
Nov 3, 2019, 3:27:45 PM11/3/19
to gargl...@googlegroups.com
After an interminable amount of time, I've finally tagged a new Gargoyle release.  It's available at https://github.com/garglk/garglk/releases/tag/2019.1.

In addition to source code, only a Windows build is available.  I don't have access to a Mac development environment, so if somebody is willing to provide a Mac build, I'll add it to the releases page.  Linux builds tend to be done by distributions, so there are none available here.

Here's to the next release not being *quite* so delayed...


Andrew Plotkin

unread,
Nov 3, 2019, 4:17:31 PM11/3/19
to Chris Spiegel, gargl...@googlegroups.com
On Sun, 3 Nov 2019, Chris Spiegel wrote:

> After an interminable amount of time, I've finally tagged a new Gargoyle
> release. It's available at
> https://github.com/garglk/garglk/releases/tag/2019.1.

Terrific!

> In addition to source code, only a Windows build is available. I don't
> have access to a Mac development environment, so if somebody is willing to
> provide a Mac build, I'll add it to the releases page.

I will give it a try.

--Z

--
"And Aholibamah bare Jeush, and Jaalam, and Korah: these were the borogoves..."
*

Andrew Plotkin

unread,
Nov 4, 2019, 8:19:54 PM11/4/19
to Chris Spiegel, gargl...@googlegroups.com
On Sun, 3 Nov 2019, Chris Spiegel wrote:

> In addition to source code, only a Windows build is available. I don't
> have access to a Mac development environment, so if somebody is willing to
> provide a Mac build, I'll add it to the releases page.

Repeating from the forum:

I've created a signed, notarized Mac build:

https://eblong.com/zarf/tmp/garglk/gargoyle-2019.1-mac-nota.dmg

As far as I know this is ready to go.

It hasn't been tested on anything other than MacOS 10.14 and 10.15 yet.
Except someone tried it on 10.9, which didn't work.

Angstsmurf posted a build that was built on 10.7 and should work on
anything later, but it's unsigned. I think it's worth posting both builds.

Chris Spiegel

unread,
Nov 5, 2019, 12:07:39 PM11/5/19
to Petter Sjölund, zgo...@eblong.com, gargl...@googlegroups.com
I've uploaded Andrew's build, so it's available now.  Petter, do you want me to hold off on uploading your build so you can work on getting it signed, or would you rather I just put it up now, as-is?

On Tue, Nov 5, 2019 at 5:36 AM Petter Sjölund <igna...@me.com> wrote:
As I have a paid Apple Developer Program membership these days, I should in theory be able to code sign my build too, but I haven’t worked out how to do it yet.

I’ve managed to create a certificate and install it, and code signing on the command line seems to work, but if I upload the app to Github or other download services, Gatekeeper still complains that it is unsigned when I download it.

Petter (Angstsmurf)

Andrew Plotkin

unread,
Nov 5, 2019, 1:34:10 PM11/5/19
to gargl...@googlegroups.com
Oop, send this from the wrong address.

On Tue, 5 Nov 2019, Andrew Plotkin wrote:

> On Tue, 5 Nov 2019, Petter Sjölund wrote:
>
>> As I have a paid Apple Developer Program membership these days, I should in
>> theory be able to code sign my build too, but I haven’t worked out how to
>> do it yet.
>>
>> I’ve managed to create a certificate and install it, and code signing on
>> the command line seems to work, but if I upload the app to Github or other
>> download services, Gatekeeper still complains that it is unsigned when I
>> download it.
>
> I wrote up my notes on signing/notarizing:
>
> https://github.com/erkyrath/garglk/blob/master/INSTALL
>
> I tossed that into my build PR, as well.

Chris Spiegel

unread,
Nov 6, 2019, 7:41:38 PM11/6/19
to Petter Sjölund, zgo...@eblong.com, gargl...@googlegroups.com
OK, great.  I've now put both versions up on the releases page.

Thank you both for the builds!  I appreciate it.

On Tue, Nov 5, 2019 at 2:42 PM Petter Sjölund <igna...@me.com> wrote:
Sorry for the late reply. After looking into it some more, I don’t think code signing will work, precisely because it is built on 10.7 against the 10.7 SDK (which is what makes it run on older systems). New code signed applications must be notarized in order to run, and apps have to be linked against macOS 10.9 or later in order to be notarized. So if we are going to distribute a version for older systems, it’s going to have to be the unsigned app currently at:


Petter

--
You received this message because you are subscribed to the Google Groups "garglk-dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to garglk-dev+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/garglk-dev/CAA6uip2cjFeOfqAMhBw8_dPwpHjkse0CMZmAsTW4E68sKZvrrQ%40mail.gmail.com.

Reply all
Reply to author
Forward
0 new messages